using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("生产单元")]
    public class T_FM_USER_PRODUCTION_UNIT : MesEntityBase
    {
        [Description("人员表")]
        [DataFieldForeignKey("Nav_User", "Nav_ProdutionUnit")]
        public Guid USER_ID { get; set; }
        [Description("导航：人员表")]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 生产单元枚举
        /// </summary>
        [Description("生产单元枚举")]
        [DataFieldForeignKey("Nav_Enums")]
        public Guid? ENUMS_ID { get; set; }

        /// <summary>
        /// 导航：生产单元枚举
        /// </summary>
        [Description("导航：生产单元枚举")]
        public virtual T_FM_ENUMS Nav_Enums { get; set; }
    }
}
